summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author M.Dinslage2010-06-16 23:58:13 +0200
committer Erik Hanson2010-06-17 00:08:29 +0200
commit283855dd2a520a0537776f93846247299d7abdd8 (patch)
treef7cd22505ab7835e7e901cd13b0afc2fffe77fcf
parent3f2010101e10302031b8b08e6e3bcc95d2114d29 (diff)
downloadslackbuilds-283855dd2a520a0537776f93846247299d7abdd8.tar.gz
desktop/emerald: Added (Emerald Window Decorator)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--desktop/emerald/README17
-rw-r--r--desktop/emerald/README.POST_INSTALL10
-rw-r--r--desktop/emerald/emerald.SlackBuild86
-rw-r--r--desktop/emerald/emerald.info10
-rw-r--r--desktop/emerald/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/desktop/emerald/README b/desktop/emerald/README
new file mode 100644
index 0000000000..974dc7cb0e
--- /dev/null
+++ b/desktop/emerald/README
@@ -0,0 +1,17 @@
+The Emerald Window Decorator is a custom window decorator shipped with Compiz
+Fusion that allows for theming and full composite window decorations with the
+use of engines.
+
+For correct installation, build in this order:
+ 1. compiz-bcop
+ 2. protobuf (optional but recommended)
+ 3. libcompizconfig
+ 4. compizconfig-python
+ 5. compizconfig-backend-kconfig4 (optional)
+ 6. ccsm
+ 7. compiz-plugins-main
+ 8. compiz-plugins-extra (optional)
+ 9. compiz-plugins-unsupported (optional)
+10. emerald (optional)
+11. emerald-themes (optional)
+12. fusion-icon (optional)
diff --git a/desktop/emerald/README.POST_INSTALL b/desktop/emerald/README.POST_INSTALL
new file mode 100644
index 0000000000..3c8f207a68
--- /dev/null
+++ b/desktop/emerald/README.POST_INSTALL
@@ -0,0 +1,10 @@
+After you've installed the compiz-fusion packages you need to enable
+a few key features before you launch compiz.
+Launch "ccsm" and enable the following options:
+
+ * Window Decorations
+ * Move Window
+ * Rezise Window
+
+These options will allow you to manage your windows.
+After enabled, you can launch compiz and customize to your liking.
diff --git a/desktop/emerald/emerald.SlackBuild b/desktop/emerald/emerald.SlackBuild
new file mode 100644
index 0000000000..c0d2384400
--- /dev/null
+++ b/desktop/emerald/emerald.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for emerald
+
+# Written by M.Dinslage (daedra1980@gmail.com)
+
+PRGNAM=emerald
+VERSION=${VERSION:-0.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/emerald/emerald.info b/desktop/emerald/emerald.info
new file mode 100644
index 0000000000..b37bdfdf94
--- /dev/null
+++ b/desktop/emerald/emerald.info
@@ -0,0 +1,10 @@
+PRGNAM="emerald"
+VERSION="0.8.4"
+HOMEPAGE="www.compiz.org"
+DOWNLOAD="http://releases.compiz-fusion.org/0.8.4/emerald-0.8.4.tar.gz"
+MD5SUM="1cb8804c3e67629e301e753375ce2fbe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/desktop/emerald/slack-desc b/desktop/emerald/slack-desc
new file mode 100644
index 0000000000..d5b8df5909
--- /dev/null
+++ b/desktop/emerald/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+emerald: emerald (Emerald Window Decorator)
+emerald:
+emerald: The Emerald Window Decorator is a custom window decorator.
+emerald: Emerald allows for all sorts of different configurations and layouts
+emerald: of buttons, look, title bars and frames. Emerald Window Decorator is
+emerald: completely independent of any desktop,and you specify your own
+emerald: themes to use for it.
+emerald:
+emerald:
+emerald:
+emerald: